> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific telegram channel

> Retrieve a telegram channel by its UUID



## OpenAPI

````yaml https://api.paylora.org/api-doc-json get /api/v1/channels/{uuid}
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/channels/{uuid}:
    get:
      tags:
        - Сhannels
      summary: Get a specific telegram channel
      description: Retrieve a telegram channel by its UUID
      operationId: ChannelController_findOne_v1
      parameters:
        - name: uuid
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Resource model
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ResourceDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/Channel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
      security:
        - JWT: []
components:
  schemas:
    ResourceDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
          description: Indicates if the request was successful
        data:
          type: object
          description: The data returned by the API
      required:
        - success
        - data
    Channel:
      type: object
      properties:
        uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the telegram channel
        channel_id:
          type: string
          example: '-1001234567890'
          description: Telegram channel ID
        channel_title:
          type: string
          example: My Channel
          description: Telegram channel title
        user_uuid:
          type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
          description: The UUID of the user who owns this channel
      required:
        - uuid
        - channel_id
        - channel_title
        - user_uuid
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````